VERSION 2.00
Begin MDIForm ThermDemo 
   Caption         =   "Thermometer Demo"
   ClientHeight    =   5760
   ClientLeft      =   2010
   ClientTop       =   2730
   ClientWidth     =   8985
   Height          =   6450
   Left            =   1950
   LinkTopic       =   "MDIForm1"
   Top             =   2100
   Width           =   9105
   Begin Menu mFile 
      Caption         =   "&File"
      Begin Menu mThermDemo 
         Caption         =   "Demo Thermometer"
      End
      Begin Menu mExit 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
   End
End
Option Explicit
'*******************************************************
'* Integrated Data Systems, Inc.                       *
'* 23875 Ventura Blvd. #102                            *
'* Calabasas, Ca  91302                                *
'* Voice: (818)223-3344                                *
'* BBS:   (818)223-3341                                *
'* CIS:   73700,1622                                   *
'*******************************************************
'*                                                     *
'*      File Name: ThrmDemo.BAS                        *
'*                                                     *
'*        Created: 12/23/94     By: Robert Vandehey    *
'*                                                     *
'*******************************************************

'This program demonstrates a wait box which displays a
'thermometer. One of the main features of this wait box
'is that it acts modal without actually declaring it as
'modal.

'In Visual Basic, once a modal form is called, all execution
'in the calling program is stopped until the form is unloaded.
'This doesn't work for wait screens since you usually want to
'display a wait screen and continue on processing.

'Visual Basic allows you to display a modeless window and continue
'processing but if the user selects another window with the
'mouse, it will change the focus of the window. Many times hiding
'the wait window.

'I looked at many other programs that tried to solve this problem
'but none of them did it effectively. This program does - at least
'in my humble opinion.

'It solves this problem by looping through all the Visual Basic
'forms in the Forms Control array and calling the Windows API
'SetWindowLong function to set the DISABLE style for each window.

'Once the wait window is no longer needed, the DISABLE style is
'removed.

'Currently this program only supports one instance of the wait form.
'It could easily support more, but I can't think of a reason why anyone
'would need more than one wait form at a time.

Sub mExit_Click ()
    Unload ThermDemo
End Sub

Sub mThermDemo_Click ()
    Load form1
End Sub

